Bug 491387 - PXE Kickstart using RHEL5 U2 x86_64 to Sun X4100 (NIC Intel e1000 driver) fails to acquire an IP via dhcp after loading the initrd
PXE Kickstart using RHEL5 U2 x86_64 to Sun X4100 (NIC Intel e1000 driver) fai...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 14:05 EDT by Ahmed Taha
Modified: 2011-07-27 13:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 13:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Abnormal Exit error after static network config fails (55.57 KB, image/png)
2009-03-20 14:11 EDT, Ahmed Taha
no flags Details
Ctrl+Alt+F4 Log During eth0 failing to acquire an IP via dhcp (131.84 KB, image/png)
2009-03-20 14:17 EDT, Ahmed Taha
no flags Details
Ctrl+Alt+F3 During eth0 failing to acquire an IP via DHCP (136.12 KB, image/png)
2009-03-20 14:19 EDT, Ahmed Taha
no flags Details

  None (edit)
Description Ahmed Taha 2009-03-20 14:05:50 EDT
Description of problem:

PXE Kickstart using RHEL5 U2 x86_64 to Sun X4100 (NIC Intel e1000 driver) fails to acquire an IP via dhcp after loading the initrd. 

Version-Release number of selected component (if applicable):

RHEL5 U2 

How reproducible: Always


Steps to Reproduce:
1. PXE boot X4100 Sun Server from the vmlinuz and initrd.img of RHEL5 U2 x86_64. At the PXE boot menu select the distribution (RHEL5 U2) configured in /tftpboot/pxelinux.cfg/default file to kickstart the Sun Server. The anaconda network configuration dialogue will repeatedly prompt for IP info unable to acquire an IP via the dhcp broadcast from the kickstart server. 
  
Actual results:

Kickstarting a Sun X4100 x86_64 with RHEL5 U2 fails.


Expected results:

Kickstarting a Sun X4100 x86_64 with RHEL5 U2 should succeed.

Additional info:

Some of the work-around solutions that I have tried so far are the following:

1- Appending nicdelay=30 linksleep=10 to the initrd boot line

2- Using a custom initrd that does not have the e1000e module in it (only contains the e1000 module necessary for the Intel Card)

3- Static network configuration using a static IP .. which brings a different error message (uploaded image sigsegv.png) and exits abnormally.
Comment 1 Ahmed Taha 2009-03-20 14:11:21 EDT
Created attachment 336095 [details]
Abnormal Exit error after static network config fails
Comment 2 Ahmed Taha 2009-03-20 14:17:58 EDT
Created attachment 336096 [details]
Ctrl+Alt+F4 Log During eth0 failing to acquire an IP via dhcp
Comment 3 Ahmed Taha 2009-03-20 14:19:00 EDT
Created attachment 336098 [details]
Ctrl+Alt+F3 During eth0 failing to acquire an IP via DHCP
Comment 4 Ahmed Taha 2009-03-20 14:29:54 EDT
(In reply to comment #0)
> Description of problem:
> 
> PXE Kickstart using RHEL5 U2 x86_64 to Sun X4100 (NIC Intel e1000 driver) fails
> to acquire an IP via dhcp after loading the initrd. 
> 
> Version-Release number of selected component (if applicable):
> 
> RHEL5 U2 
> 
> How reproducible: Always
> 
> 
> Steps to Reproduce:
> 1. PXE boot X4100 Sun Server from the vmlinuz and initrd.img of RHEL5 U2
> x86_64. At the PXE boot menu select the distribution (RHEL5 U2) configured in
> /tftpboot/pxelinux.cfg/default file to kickstart the Sun Server. The anaconda
> network configuration dialogue will repeatedly prompt for IP info unable to
> acquire an IP via the dhcp broadcast from the kickstart server. 
> 
> Actual results:
> 
> Kickstarting a Sun X4100 x86_64 with RHEL5 U2 fails.
> 
> 
> Expected results:
> 
> Kickstarting a Sun X4100 x86_64 with RHEL5 U2 should succeed.
> 
> Additional info:
> 
> Some of the work-around solutions that I have tried so far are the following:
> 
> 1- Appending nicdelay=30 linksleep=10 to the initrd boot line
> 
> 2- Using a custom initrd that does not have the e1000e module in it (only
> contains the e1000 module necessary for the Intel Card)
> 
> 3- Static network configuration using a static IP .. which brings a different
> error message (uploaded image sigsegv.png) and exits abnormally.
Comment 5 Ahmed Taha 2009-03-20 14:30:56 EDT
The network card is Intel and the server hardware is Sun x4100. The network card, and hence, the kickstart process has no problems when using RHEL5 U1 (except for a spontaneous fluctuation of the NIC while it comes up with an IP).


When using RHEL5 U2 (and also if trying the new RHEL5  U3), the e1000 driver cannot report an UP link to eth0 (the kickstart device)
Comment 6 Chris Lumens 2010-10-13 17:21:34 EDT
Sorry for not seeing this bug report earlier.  Do you have multiple NICs in the computer, and anaconda is choosing the wrong one?  Also, U2 and U3 are both fairly old at this point.  Can you try with U5 or U6 (whatever's available to you) and see if the problem goes away?  Thanks.

Note You need to log in before you can comment on or make changes to this bug.